Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.discovery
Class DiscoveryPermission

    java.lang.Object
      java.security.Permission
          net.jini.discovery.DiscoveryPermission

All Implemented Interfaces:
  Guard, Serializable

public final class DiscoveryPermission
extends Permission
implements Serializable

Permission for using LookupDiscovery. The permission contains a name but no actions list. The name is a discovery group name. The empty string represents the "public" group (as usual). The name "*" represents all groups. The name can start with "*." to signify a prefix wildcard match; in this case, group names are assumed to be in dotted domain name style (e.g., "*.sun.com").

Note that, due to limitations of the Java(TM) platform security model, permission must be granted not only to the code that calls LookupDiscovery, but also to LookupDiscovery itself.

See Also:
  `LookupDiscovery`, Serialized Form

Constructor Summary
`DiscoveryPermission(String group)` Simple constructor.
`DiscoveryPermission(String group, String action)` Simple constructor.

Method Summary
`boolean` | `equals(Object obj)` Two instances are equal if they have the same name.
`String` | `getActions()` Always returns the empty string; this permission type has no actions list.
`int` | `hashCode()`
`boolean` | `implies(Permission p)` Returns true if the name of this permission (the one on which the method is invoked) is the same as the name of the permission parameter, or if the name of this permission starts with '*' and the remainder (after the '*') is a suffix of the name of the permission parameter.
`PermissionCollection` | `newPermissionCollection()`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscoveryPermission

    public DiscoveryPermission(String group)

  Simple constructor.

Parameters:
  `group` - the group name (wildcard permitted)

### DiscoveryPermission

    public DiscoveryPermission(String group,
                               String action)

  Simple constructor.

Parameters:
  `group` - the group name (wildcard permitted)
  `action` - ignored

Method Detail

### implies

    public boolean implies(Permission p)

  Returns true if the name of this permission (the one on which the method is invoked) is the same as the name of the permission parameter, or if the name of this permission starts with '*' and the remainder (after the '*') is a suffix of the name of the permission parameter.

### equals

    public boolean equals(Object obj)

  Two instances are equal if they have the same name.

### hashCode

    public int hashCode()

### getActions

    public String getActions()

  Always returns the empty string; this permission type has no actions list.

### newPermissionCollection

    public PermissionCollection newPermissionCollection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved